ApiClusterTemplateRoleConfigGroupInfo (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiClusterTemplateRoleConfigGroupInfo

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiClusterTemplateRoleConfigGroupInfo

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiClusterTemplateRoleConfigGroupInfo
      extends Object

  During import time information related to all the non-base config groups must be provided.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiClusterTemplateRoleConfigGroupInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getName()` Role config group name.
    `String` | `getRcgRefName()` Role config group reference name.
    `int` | `hashCode()`
    `ApiClusterTemplateRoleConfigGroupInfo` | `name(String name)`
    `ApiClusterTemplateRoleConfigGroupInfo` | `rcgRefName(String rcgRefName)`
    `void` | `setName(String name)`
    `void` | `setRcgRefName(String rcgRefName)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiClusterTemplateRoleConfigGroupInfo

          public ApiClusterTemplateRoleConfigGroupInfo()

  - ### Method Detail

    - #### rcgRefName

          public ApiClusterTemplateRoleConfigGroupInfo rcgRefName(String rcgRefName)

    - #### getRcgRefName

          public String getRcgRefName()

      Role config group reference name. This much match the reference name from the template.
      Returns:
        rcgRefName

    - #### setRcgRefName

          public void setRcgRefName(String rcgRefName)

    - #### name

          public ApiClusterTemplateRoleConfigGroupInfo name(String name)

    - #### getName

          public String getName()

      Role config group name.
      Returns:
        name

    - #### setName

          public void setName(String name)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.